'use strict';

var _getTag = require('./_getTag.js');
var isObjectLike = require('./isObjectLike.js');

/** `Object#toString` result references. */
var setTag = '[object Set]';

/**
 * The base implementation of `_.isSet` without Node.js optimizations.
 *
 * @private
 * @param {*} value The value to check.
 * @returns {boolean} Returns `true` if `value` is a set, else `false`.
 */
function baseIsSet(value) {
  return isObjectLike(value) && _getTag(value) == setTag;
}

module.exports = baseIsSet;
